# Uses of Class
org.springframework.aot.hint.ExecutableHint.Builder

Packages that use ExecutableHint.Builder
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ExecutableHint.Builder in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return ExecutableHint.Builder
Modifier and Type
Method
Description
`ExecutableHint.Builder`
ExecutableHint.Builder.`withMode(ExecutableMode mode)`
Specify that the mode is required.
Methods in org.springframework.aot.hint that return types with arguments of type ExecutableHint.Builder
Modifier and Type
Method
Description
`static Consumer<ExecutableHint.Builder>`
ExecutableHint.`builtWith(ExecutableMode mode)`
Return a `Consumer` that applies the given `ExecutableMode` to the accepted `ExecutableHint.Builder`.